Skip to main content
`Ctrl`+`K`

# PFStringSetFunction

Creates a function from a string

## Synopsis

    #include "petscpf.h"
    PetscErrorCode PFStringSetFunction(PF pf, const char string[])

Collective

## Input Parameters

- pf - the function object

- string - the string that defines the function

## Developer Notes

Currently this can be used only ONCE in a running code. It needs to be fixed to generate a new library name for each new function added.

Requires `PETSC_HAVE_POPEN` `PETSC_USE_SHARED_LIBRARIES` `PETSC_HAVE_DYNAMIC_LIBRARIES` to use

## See Also

`PFSetFromOptions()`

## Level

intermediate

## Location

src/vec/pf/impls/string/cstring.c

Index of all PF routines
Table of Contents for all manual pages
Index of all manual pages